> ## Documentation Index
> Fetch the complete documentation index at: https://docs.togai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an addon

> Get details of an addon



## OpenAPI

````yaml get /addons/{addon_id}
openapi: 3.0.3
info:
  version: '1.0'
  title: Togai Apis
  contact:
    email: engg@togai.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  description: APIs for Togai App
servers:
  - description: Api endpoint
    url: https://api.togai.com/
  - description: Sandbox api endpoint
    url: https://sandbox-api.togai.com/
security:
  - bearerAuth: []
tags:
  - name: Customers
    description: Customer level calls
  - name: Accounts
    description: Account level calls
  - name: Event Schemas
    description: Event Schema level calls
  - name: Usage Meters
    description: Usage Meter level calls
  - name: Price Plans
    description: (DEPRECATED) Price Plan level calls
  - name: PricePlanV2
    description: Price Plan V2 level calls
  - name: Schedules
    description: Account Schedule level calls
  - name: Pricing Rules
    description: Pricing Rules level calls
  - name: Settings
    description: Settings
  - name: Price Experimentation
    description: Price Experimentation apis
  - name: InvoiceGroups
    description: Invoice Group level calls
  - name: Organization
    description: Organization level calls
  - name: FileStorage
    description: File Storage level calls
  - name: Aliases
    description: Alias level calls
  - name: Reports
    description: Report level calls
  - name: ReportTemplates
    description: Report Template level calls
  - name: Customer Portal
    description: Portal level calls
  - name: Alerts
    description: Alert level calls
  - name: Event Management
    description: APIs for getting events ingested in Togai
    externalDocs:
      description: docs
      url: https://togai.com/docs/billing/events
  - name: Metrics
    description: APIs for getting Togai metrics
    externalDocs:
      description: docs
      url: https://togai.com/docs/metrics
  - name: Licenses
    description: APIs for getting or updating license records in Togai
  - name: Entitlements
    description: APIs related to entitlements
  - name: Invoices
    description: Invoices API
  - name: Credits
    description: Credits API
  - name: Wallet
    description: Wallet API
  - name: InvoiceTemplates
    description: InvoiceTemplates API
  - name: InvoiceSequence
    description: InvoiceSequence API
  - name: Payments
    description: Payments API
  - name: Authentication
    description: Authentication API
externalDocs:
  description: Find out more about Togai
  url: https://docs.togai.com/docs
paths:
  /addons/{addon_id}:
    get:
      tags:
        - AddOns
      summary: Get an addon
      description: Get details of an addon
      operationId: getAddOn
      parameters:
        - $ref: '#/components/parameters/addon_id'
      responses:
        '200':
          $ref: '#/components/responses/AddOnResponse'
        '400':
          $ref: '#/components/responses/ErrorResponse'
        '401':
          $ref: '#/components/responses/ErrorResponse'
        '403':
          $ref: '#/components/responses/ErrorResponse'
        '404':
          $ref: '#/components/responses/ErrorResponse'
        '429':
          $ref: '#/components/responses/ErrorResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  parameters:
    addon_id:
      in: path
      name: addon_id
      required: true
      schema:
        type: string
        maxLength: 50
        example: addon.1zYnCiM9Bpg.lv25y
  responses:
    AddOnResponse:
      description: Response for Create and Get addons requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AddOn'
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            ErrorResponse:
              summary: Error message
              value:
                message: <Reason message>
  schemas:
    AddOn:
      allOf:
        - $ref: '#/components/schemas/CreateAddOnRequest'
        - type: object
          required:
            - id
            - createdAt
            - status
            - displayName
          properties:
            id:
              description: Id of addon
              type: string
              example: addon.1zYnCiM9Bpg.1zYn
            createdAt:
              description: Created Time of addon
              type: string
              format: date-time
            status:
              description: status of addon
              type: string
              enum:
                - ACTIVE
                - ARCHIVED
              example: ACTIVE
            displayName:
              description: >
                Display name of addon. This is an auto-generated field which
                contains billableName of addon.

                If billableName is not provided, name will be used as display
                name.
              type: string
    ErrorResponse:
      type: object
      additionalProperties: false
      required:
        - message
      properties:
        message:
          type: string
          description: error description
          maxLength: 500
    CreateAddOnRequest:
      description: Request to create an addon
      type: object
      additionalProperties: false
      required:
        - name
        - type
      properties:
        name:
          description: Name of addon
          type: string
          maxLength: 255
        type:
          $ref: '#/components/schemas/AddOnType'
        billableName:
          description: >-
            Billable name of addon. Billable name takes precedence over name to
            display in invoice.
          type: string
          maxLength: 255
    AddOnType:
      type: string
      enum:
        - LICENSE
        - FIXED_FEE
        - CREDIT_GRANT
        - NAMED_LICENSE
      description: |
        LICENSE: Addon can be used in license rate cards
        FIXED_FEE: Addon can be used in fixed fee rate cards
        CREDIT_GRANT: Addon can be used in credit grant rate cards
        NAMED_LICENSE: Addon can be used in license rate cards
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer <credential>

````